
package randy;

import awt.*;

class MyWindow extends Window
{
	private MyAwtApp app = null;
	private String data;

	public void SetData(String newData) {
		data = newData;
		update();
	}

	public String GetData() {
		return data;
	}

	public MyWindow(MyAwtApp appP) {
		super(appP, "Center", new Color(255,255,255), 200, 50);
		app = appP;
		enablePointerMotionEvents();
	}

	public void expose(int x, int y, int w, int h) {
		drawString(data, 0, 0);
	}

	public void handleMouseMoved(int x, int y, int mods) {
		super.handleMouseMoved(x,y,mods);
		app.setStatusMessage(String.valueOf(x) + ", " + String.valueOf(y));
	}
}

public class MyAwtApp extends Frame
{
	private WServer server = null;
	private MenuBar mbar = null;
	private FileMenu fileMenu = null;
	private MyWindow mainWindow = null;
	
	public MyAwtApp(WServer serv, String args[]) {
		super(serv, true, null, 300, 200, Color.lightGray);
		server = serv;

		mbar = new MenuBar(this);
		fileMenu = new FileMenu(mbar, this);

		mainWindow = new MyWindow(this);
		mainWindow.SetData("This is an empty file\n  More sutff!");

		super.setTitle("Randy's test java program");

		showStatusBar(true);
		setStatusMessage("I'm running!");

		serv.sync();

		map();
	}

	public static void main(String args[]) {
		WServer server = null;
		MyAwtApp app = null;

		try {
			server = new WServer();
		} catch(Exception e) {
			System.out.println("Couldn't open connection to window server");
			return;
		}

		server.start();

		app = new MyAwtApp(server, args);

		System.out.println("Opened the window!");
	}

	public void handleQuit() {
		super.handleQuit();
		System.exit(0);
	}
}

class FileMenu extends Menu {
	private MyAwtApp app = null;

	public FileMenu(MenuBar mbar, MyAwtApp appP) {
		super("File", mbar);

		app = appP;

		MenuItem item;
		item = new MenuItem("Open...", this);
		item.disable();
		new MenuItem("Quit", this);
	}

	public void selected(int index) {
		switch (index) {
		case 0:	// open
			break;
		case 1:	// quit
			System.exit(0);
			break;
		}
	}

}

